## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanToXercesTranscoderWrapper Class Reference

Inheritance diagram for XalanToXercesTranscoderWrapper:

[legend]
Collaboration diagram for XalanToXercesTranscoderWrapper:

[legend]
List of all members.

## Public Types

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  XMLTranscoder XMLTranscoderType

## Public Member Functions

- XalanToXercesTranscoderWrapper (MemoryManagerType &theManager, XMLTranscoderType &theTranscoder)
- virtual ~XalanToXercesTranscoderWrapper ()
- virtual eCode transcode (const XalanDOMChar *theSourceData, size_type theSourceCount, XalanXMLByte *theTarget, size_type theTargetSize, size_type &theSourceCharsTranscoded, size_type &theTargetBytesUsed)
    Transcode data from UTF-16 to the transcoder's encoding.
- virtual eCode transcode (const XalanXMLByte *theSourceData, size_type theSourceCount, XalanDOMChar *theTarget, size_type theTargetSize, size_type &theSourceCharsTranscoded, size_type &theTargetBytesUsed, unsigned char *theCharSizes)
    Transcode data from the transcoder's encoding to UTF-16.
- virtual bool canTranscodeTo (UnicodeCharType theChar) const

## Static Public Member Functions

- XalanToXercesTranscoderWrapper * create (MemoryManagerType &theManager, XMLTranscoderType &theTranscoder)

## Member Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER XMLTranscoder XalanToXercesTranscoderWrapper::XMLTranscoderType

## Constructor & Destructor Documentation

XalanToXercesTranscoderWrapper::XalanToXercesTranscoderWrapper | ( | MemoryManagerType & | theManager,
|  | XMLTranscoderType & | theTranscoder
| ) | `[explicit]`

virtual XalanToXercesTranscoderWrapper::~XalanToXercesTranscoderWrapper | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual bool XalanToXercesTranscoderWrapper::canTranscodeTo | ( | UnicodeCharType | theChar | ) | const`[virtual]`

| Implements XalanOutputTranscoder.

XalanToXercesTranscoderWrapper* XalanToXercesTranscoderWrapper::create | ( | MemoryManagerType & | theManager,
|  | XMLTranscoderType & | theTranscoder
| ) | `[static]`

virtual eCode XalanToXercesTranscoderWrapper::transcode | ( | const XalanXMLByte * | theSourceData,
|  | size_type | theSourceCount,
|  | XalanDOMChar * | theTarget,
|  | size_type | theTargetSize,
|  | size_type & | theSourceCharsTranscoded,
|  | size_type & | theTargetBytesUsed,
|  | unsigned char * | theCharSizes
| ) | `[virtual]`

  | Transcode data from the transcoder's encoding to UTF-16. If successfull, theResult will be set to OK. If not, it will be set to one of the other codes. Parameters:
  theSourceData | The source data to transcode
  theSourceCount | The length of the source data.
  theTarget | The target array for storing the transcoded data.
  theTargetSize | The number of characters that can be stored in the target.
  theSourceCharsTranscoded | The count of the source characters that were transcoded.
  theTargetBytesUsed | The number of characters stored in the target array
  theCharSizes | For each character in theTarget, the number of characters consumed from theSourceData.
Returns: The result code. Implements XalanOutputTranscoder.

virtual eCode XalanToXercesTranscoderWrapper::transcode | ( | const XalanDOMChar * | theSourceData,
|  | size_type | theSourceCount,
|  | XalanXMLByte * | theTarget,
|  | size_type | theTargetSize,
|  | size_type & | theSourceCharsTranscoded,
|  | size_type & | theTargetBytesUsed
| ) | `[virtual]`

  | Transcode data from UTF-16 to the transcoder's encoding. If successfull, theResult will be set to OK. If not, it will be set to one of the other codes. Parameters:
  theSourceData | The source data to transcode
  theSourceCount | The length of the source data.
  theTarget | The target array for storing the transcoded data.
  theTargetSize | The number of characters that can be stored in the target.
  theSourceCharsTranscoded | The count of the source characters that were transcoded.
  theTargetBytesUsed | The number of characters stored in the target array
Returns: The result code. Implements XalanOutputTranscoder.

The documentation for this class was generated from the following file:

- XalanToXercesTranscoderWrapper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.